Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class Constructor

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent
oracle.rules.sdk.editor.datamodel.Constructor`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Direct Known Subclasses:
  Method

public class Constructor
extends ModelComponent

Represent a Java class constructor

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_CLASS_NAME`
`static java.lang.String` | `PROP_EXCEPTIONS`
`static java.lang.String` | `PROP_FORMAL_PARAMETER_TABLE`

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`m_dm, m_parent, PROP_ALIAS, PROP_ID, PROP_NAME, PROP_PROPERTIES, PROP_VISIBLE`

Method Summary
`java.lang.String` | `getClassName()` Get the java class name to which the constructor belong
`java.lang.String[]` | `getExceptions()` Get all the exception types of the constructor bases on the definition order
`FormalParameterTable` | `getFormalParameterTable()` Get all the parameter types of the constructor based on the definition order.
`void` | `validate()` valid the model component

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`get, getAlias, getDataModel, getID, getName, getParent, getProperties, getVisible, setAlias, setName, setVisible`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_CLASS_NAME

    public static final java.lang.String PROP_CLASS_NAME

  See Also:
    Constant Field Values

### PROP_FORMAL_PARAMETER_TABLE

    public static final java.lang.String PROP_FORMAL_PARAMETER_TABLE

  See Also:
    Constant Field Values

### PROP_EXCEPTIONS

    public static final java.lang.String PROP_EXCEPTIONS

  See Also:
    Constant Field Values

Method Detail

### getClassName

    public java.lang.String getClassName()

  Get the java class name to which the constructor belong
  Returns:
    The java class name.

### getFormalParameterTable

    public FormalParameterTable getFormalParameterTable()

  Get all the parameter types of the constructor based on the definition order.
  Returns:
    The list of parameter types of the constructor.

### getExceptions

    public java.lang.String[] getExceptions()

  Get all the exception types of the constructor bases on the definition order
  Returns:
    The list of exceptions of the funciton.

### validate

    public void validate()
                  throws RulesSDKDMValidationException

  Description copied from class: `ModelComponent`
  valid the model component
  Overrides:
    `validate` in class `ModelComponent`
  Throws:
    `RulesSDKDMValidationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.